Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_statement_set_subject

## Name

librdf_statement_set_subject -- Set the statement subject

## Synopsis

``void `librdf_statement_set_subject`` (librdf_statement * `statement`, librdf_node * `node`);`

## Arguments

`statement`

  librdf_statement object

`node`

  librdf_node of subject

## Description

The subject passed in becomes owned by the statement object and must not be used by the caller after this call.

<<< Previous | Home | Next >>>
librdf_statement_get_subject | Up | librdf_statement_get_predicate